org.wildfly.swarm.config.management.access

## Class FileHandler<T extends FileHandler<T>>

- java.lang.Object
- - org.wildfly.swarm.config.management.access.FileHandler<T>

-     public class FileHandler<T extends FileHandler<T>>
      extends Object

  A file handler for use with the management audit logging service.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileHandler(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `Boolean` | `disabledDueToFailure()` Whether this handler has been disabled due to logging failures.
    `T` | `disabledDueToFailure(Boolean value)` Whether this handler has been disabled due to logging failures.
    `Integer` | `failureCount()` The number of logging failures since the handler was initialized.
    `T` | `failureCount(Integer value)` The number of logging failures since the handler was initialized.
    `String` | `formatter()` The formatter used to format the log messages.
    `T` | `formatter(String value)` The formatter used to format the log messages.
    `String` | `getKey()`
    `Integer` | `maxFailureCount()` The maximum number of logging failures before disabling this handler.
    `T` | `maxFailureCount(Integer value)` The maximum number of logging failures before disabling this handler.
    `String` | `path()` The path of the audit log file.
    `T` | `path(String value)` The path of the audit log file.
    `String` | `relativeTo()` The name of another previously named path, or of one of the standard paths provided by the system.
    `T` | `relativeTo(String value)` The name of another previously named path, or of one of the standard paths provided by the system.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `Boolean` | `rotateAtStartup()` Whether the old log file should be rotated at server startup.
    `T` | `rotateAtStartup(Boolean value)` Whether the old log file should be rotated at server startup.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FileHandler

          public FileHandler(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### disabledDueToFailure

          public Boolean disabledDueToFailure()

      Whether this handler has been disabled due to logging failures.

    - #### disabledDueToFailure

          public T disabledDueToFailure(Boolean value)

      Whether this handler has been disabled due to logging failures.

    - #### failureCount

          public Integer failureCount()

      The number of logging failures since the handler was initialized.

    - #### failureCount

          public T failureCount(Integer value)

      The number of logging failures since the handler was initialized.

    - #### formatter

          public String formatter()

      The formatter used to format the log messages.

    - #### formatter

          public T formatter(String value)

      The formatter used to format the log messages.

    - #### maxFailureCount

          public Integer maxFailureCount()

      The maximum number of logging failures before disabling this handler.

    - #### maxFailureCount

          public T maxFailureCount(Integer value)

      The maximum number of logging failures before disabling this handler.

    - #### path

          public String path()

      The path of the audit log file.

    - #### path

          public T path(String value)

      The path of the audit log file.

    - #### relativeTo

          public String relativeTo()

      The name of another previously named path, or of one of the standard paths provided by the system. If 'relative-to' is provided, the value of the 'path' attribute is treated as relative to the path specified by this attribute.

    - #### relativeTo

          public T relativeTo(String value)

      The name of another previously named path, or of one of the standard paths provided by the system. If 'relative-to' is provided, the value of the 'path' attribute is treated as relative to the path specified by this attribute.

    - #### rotateAtStartup

          public Boolean rotateAtStartup()

      Whether the old log file should be rotated at server startup.

    - #### rotateAtStartup

          public T rotateAtStartup(Boolean value)

      Whether the old log file should be rotated at server startup.

Copyright © 2018 JBoss by Red Hat. All rights reserved.